<?php
/**
*
* @package phpBB Extension - Link menu
* @copyright (c) 2015 dmzx - http://www.dmzx-web.net
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace dmzx\linkmenu\acp;

class linkmenu_module
{
	var $u_action;

	function main($id, $mode)
	{
		global $config, $user, $template, $request;

		$this->tpl_name = 'acp_linkmenu_config';
		$this->page_title = $user->lang['ACP_LINKMENU_SETTINGS'];
		add_form_key('acp_linkmenu_config');

		$submit = $request->is_set_post('submit');
		if ($submit)
		{
			if (!check_form_key('acp_linkmenu_config'))
			{
				trigger_error('FORM_INVALID');
			}
			$config->set('linkmenu_enable', $request->variable('linkmenu_enable', 0));
			$config->set('linkmenu_enable_first', $request->variable('linkmenu_enable_first', 0));
			$config->set('linkmenu_name_field_first', $request->variable('linkmenu_name_field_first', '', true));
			$config->set('linkmenu_text_field_first', $request->variable('linkmenu_text_field_first', '', true));
			$config->set('linkmenu_enable_second', $request->variable('linkmenu_enable_second', 0));
			$config->set('linkmenu_name_field_second', $request->variable('linkmenu_name_field_second', '', true));
			$config->set('linkmenu_text_field_second', $request->variable('linkmenu_text_field_second', '', true));
			$config->set('linkmenu_enable_third', $request->variable('linkmenu_enable_third', 0));
			$config->set('linkmenu_name_field_third', $request->variable('linkmenu_name_field_third', '', true));
			$config->set('linkmenu_text_field_third', $request->variable('linkmenu_text_field_third', '', true));
			$config->set('linkmenu_enable_fourth', $request->variable('linkmenu_enable_fourth', 0));
			$config->set('linkmenu_name_field_fourth', $request->variable('linkmenu_name_field_fourth', '', true));
			$config->set('linkmenu_text_field_fourth', $request->variable('linkmenu_text_field_fourth', '', true));
			$config->set('linkmenu_enable_fifth', $request->variable('linkmenu_enable_fifth', 0));
			$config->set('linkmenu_name_field_fifth', $request->variable('linkmenu_name_field_fifth', '', true));
			$config->set('linkmenu_text_field_fifth', $request->variable('linkmenu_text_field_fifth', '', true));
			$config->set('linkmenu_enable_sixth', $request->variable('linkmenu_enable_sixth', 0));
			$config->set('linkmenu_name_field_sixth', $request->variable('linkmenu_name_field_sixth', '', true));
			$config->set('linkmenu_text_field_sixth', $request->variable('linkmenu_text_field_sixth', '', true));
			$config->set('linkmenu_enable_seventh', $request->variable('linkmenu_enable_seventh', 0));
			$config->set('linkmenu_name_field_seventh', $request->variable('linkmenu_name_field_seventh', '', true));
			$config->set('linkmenu_text_field_seventh', $request->variable('linkmenu_text_field_seventh', '', true));
			$config->set('linkmenu_enable_eighth', $request->variable('linkmenu_enable_eighth', 0));
			$config->set('linkmenu_name_field_eighth', $request->variable('linkmenu_name_field_eighth', '', true));
			$config->set('linkmenu_text_field_eighth', $request->variable('linkmenu_text_field_eighth', '', true));
			$config->set('linkmenu_enable_ninth', $request->variable('linkmenu_enable_ninth', 0));
			$config->set('linkmenu_name_field_ninth', $request->variable('linkmenu_name_field_ninth', '', true));
			$config->set('linkmenu_text_field_ninth', $request->variable('linkmenu_text_field_ninth', '', true));
			$config->set('linkmenu_enable_tenth', $request->variable('linkmenu_enable_tenth', 0));
			$config->set('linkmenu_name_field_tenth', $request->variable('linkmenu_name_field_tenth', '', true));
			$config->set('linkmenu_text_field_tenth', $request->variable('linkmenu_text_field_tenth', '', true));

			trigger_error($user->lang['ACP_LINKMENU_CONFIG_SAVED'] . adm_back_link($this->u_action));
		}

		$template->assign_vars(array(
			'ACP_LINKMENU_VERSION'			=> (isset($config['linkmenu_version'])) ? $config['linkmenu_version'] : '',
			'ACP_LINKMENU_ENABLE'			=> (!empty($config['linkmenu_enable'])) ? true : false,
			'ACP_LINKMENU_ENABLE_FIRST'		=> (!empty($config['linkmenu_enable_first'])) ? true : false,
			'LINKMENU_NAME_FIELD_FIRST'		=> (isset($config['linkmenu_name_field_first'])) ? $config['linkmenu_name_field_first'] : '',
			'LINKMENU_TEXT_FIELD_FIRST'		=> (isset($config['linkmenu_text_field_first'])) ? $config['linkmenu_text_field_first'] : '',
			'ACP_LINKMENU_ENABLE_SECOND'	=> (!empty($config['linkmenu_enable_second'])) ? true : false,
			'LINKMENU_NAME_FIELD_SECOND'	=> (isset($config['linkmenu_name_field_second'])) ? $config['linkmenu_name_field_second'] : '',
			'LINKMENU_TEXT_FIELD_SECOND'	=> (isset($config['linkmenu_text_field_second'])) ? $config['linkmenu_text_field_second'] : '',
			'ACP_LINKMENU_ENABLE_THIRD'		=> (!empty($config['linkmenu_enable_third'])) ? true : false,
			'LINKMENU_NAME_FIELD_THIRD'		=> (isset($config['linkmenu_name_field_third'])) ? $config['linkmenu_name_field_third'] : '',
			'LINKMENU_TEXT_FIELD_THIRD'		=> (isset($config['linkmenu_text_field_third'])) ? $config['linkmenu_text_field_third'] : '',
			'ACP_LINKMENU_ENABLE_FOURTH'	=> (!empty($config['linkmenu_enable_fourth'])) ? true : false,
			'LINKMENU_NAME_FIELD_FOURTH'	=> (isset($config['linkmenu_name_field_fourth'])) ? $config['linkmenu_name_field_fourth'] : '',
			'LINKMENU_TEXT_FIELD_FOURTH'	=> (isset($config['linkmenu_text_field_fourth'])) ? $config['linkmenu_text_field_fourth'] : '',
			'ACP_LINKMENU_ENABLE_FIFTH'		=> (!empty($config['linkmenu_enable_fifth'])) ? true : false,
			'LINKMENU_NAME_FIELD_FIFTH'		=> (isset($config['linkmenu_name_field_fifth'])) ? $config['linkmenu_name_field_fifth'] : '',
			'LINKMENU_TEXT_FIELD_FIFTH'		=> (isset($config['linkmenu_text_field_fifth'])) ? $config['linkmenu_text_field_fifth'] : '',
			'ACP_LINKMENU_ENABLE_SIXTH'		=> (!empty($config['linkmenu_enable_sixth'])) ? true : false,
			'LINKMENU_NAME_FIELD_SIXTH'		=> (isset($config['linkmenu_name_field_sixth'])) ? $config['linkmenu_name_field_sixth'] : '',
			'LINKMENU_TEXT_FIELD_SIXTH'		=> (isset($config['linkmenu_text_field_sixth'])) ? $config['linkmenu_text_field_sixth'] : '',
			'ACP_LINKMENU_ENABLE_SEVENTH'	=> (!empty($config['linkmenu_enable_seventh'])) ? true : false,
			'LINKMENU_NAME_FIELD_SEVENTH'	=> (isset($config['linkmenu_name_field_seventh'])) ? $config['linkmenu_name_field_seventh'] : '',
			'LINKMENU_TEXT_FIELD_SEVENTH'	=> (isset($config['linkmenu_text_field_seventh'])) ? $config['linkmenu_text_field_seventh'] : '',
			'ACP_LINKMENU_ENABLE_EIGHTH'	=> (!empty($config['linkmenu_enable_eighth'])) ? true : false,
			'LINKMENU_NAME_FIELD_EIGHTH'	=> (isset($config['linkmenu_name_field_eighth'])) ? $config['linkmenu_name_field_eighth'] : '',
			'LINKMENU_TEXT_FIELD_EIGHTH'	=> (isset($config['linkmenu_text_field_eighth'])) ? $config['linkmenu_text_field_eighth'] : '',
			'ACP_LINKMENU_ENABLE_NINTH'		=> (!empty($config['linkmenu_enable_ninth'])) ? true : false,
			'LINKMENU_NAME_FIELD_NINTH'		=> (isset($config['linkmenu_name_field_ninth'])) ? $config['linkmenu_name_field_ninth'] : '',
			'LINKMENU_TEXT_FIELD_NINTH'		=> (isset($config['linkmenu_text_field_ninth'])) ? $config['linkmenu_text_field_ninth'] : '',
			'ACP_LINKMENU_ENABLE_TENTH'		=> (!empty($config['linkmenu_enable_tenth'])) ? true : false,
			'LINKMENU_NAME_FIELD_TENTH'		=> (isset($config['linkmenu_name_field_tenth'])) ? $config['linkmenu_name_field_tenth'] : '',
			'LINKMENU_TEXT_FIELD_TENTH'		=> (isset($config['linkmenu_text_field_tenth'])) ? $config['linkmenu_text_field_tenth'] : '',
			'U_ACTION'						=> $this->u_action,
		));
	}
}
