<?php
/**
*
* @package phpBB Extension - Link menu
* @copyright (c) 2015 dmzx - http://www.dmzx-web.net
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace dmzx\linkmenu\event;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;

class listener implements EventSubscriberInterface
{
	/** @var \phpbb\template\template */
	protected $template;

	/** @var \phpbb\config\config */
	protected $config;
	
	/**
	 * Constructor
	 *
	 * @param \phpbb\template\template			$template
	 * @param \phpbb\config\config				$config
	 */
	public function __construct(\phpbb\template\template $template, \phpbb\config\config $config)
	{
		$this->template = $template;
		$this->config = $config;
	}

	static public function getSubscribedEvents()
	{
		return array(
			'core.page_header'	=> 'add_page_header_link',
		);
	}

	public function add_page_header_link($event)
	{
		$this->template->assign_vars(array(
			'LINKMENU_ENABLE'				=> $this->config['linkmenu_enable'] ? true : false,
			'LINKMENU_ENABLE_FIRST'			=> $this->config['linkmenu_enable_first'] ? true : false,
			'LINKMENU_NAME_FIELD_FIRST'		=> (isset($this->config['linkmenu_name_field_first'])) ? $this->config['linkmenu_name_field_first'] : '',
			'LINKMENU_TEXT_FIELD_FIRST'		=> (isset($this->config['linkmenu_text_field_first'])) ? $this->config['linkmenu_text_field_first'] : '',
			'LINKMENU_ENABLE_SECOND'		=> $this->config['linkmenu_enable_second'] ? true : false,
			'LINKMENU_NAME_FIELD_SECOND'	=> (isset($this->config['linkmenu_name_field_second'])) ? $this->config['linkmenu_name_field_second'] : '',
			'LINKMENU_TEXT_FIELD_SECOND'	=> (isset($this->config['linkmenu_text_field_second'])) ? $this->config['linkmenu_text_field_second'] : '',
			'LINKMENU_ENABLE_THIRD'			=> $this->config['linkmenu_enable_third'] ? true : false,
			'LINKMENU_NAME_FIELD_THIRD'		=> (isset($this->config['linkmenu_name_field_third'])) ? $this->config['linkmenu_name_field_third'] : '',
			'LINKMENU_TEXT_FIELD_THIRD'		=> (isset($this->config['linkmenu_text_field_third'])) ? $this->config['linkmenu_text_field_third'] : '',
			'LINKMENU_ENABLE_FOURTH'			=> $this->config['linkmenu_enable_fourth'] ? true : false,
			'LINKMENU_NAME_FIELD_FOURTH'		=> (isset($this->config['linkmenu_name_field_fourth'])) ? $this->config['linkmenu_name_field_fourth'] : '',
			'LINKMENU_TEXT_FIELD_FOURTH'		=> (isset($this->config['linkmenu_text_field_fourth'])) ? $this->config['linkmenu_text_field_fourth'] : '',
			'LINKMENU_ENABLE_FIFTH'			=> $this->config['linkmenu_enable_fifth'] ? true : false,
			'LINKMENU_NAME_FIELD_FIFTH'		=> (isset($this->config['linkmenu_name_field_fifth'])) ? $this->config['linkmenu_name_field_fifth'] : '',
			'LINKMENU_TEXT_FIELD_FIFTH'		=> (isset($this->config['linkmenu_text_field_fifth'])) ? $this->config['linkmenu_text_field_fifth'] : '',
			'LINKMENU_ENABLE_SIXTH'			=> $this->config['linkmenu_enable_sixth'] ? true : false,
			'LINKMENU_NAME_FIELD_SIXTH'		=> (isset($this->config['linkmenu_name_field_sixth'])) ? $this->config['linkmenu_name_field_sixth'] : '',
			'LINKMENU_TEXT_FIELD_SIXTH'		=> (isset($this->config['linkmenu_text_field_sixth'])) ? $this->config['linkmenu_text_field_sixth'] : '',
			'LINKMENU_ENABLE_SEVENTH'			=> $this->config['linkmenu_enable_seventh'] ? true : false,
			'LINKMENU_NAME_FIELD_SEVENTH'		=> (isset($this->config['linkmenu_name_field_seventh'])) ? $this->config['linkmenu_name_field_seventh'] : '',
			'LINKMENU_TEXT_FIELD_SEVENTH'		=> (isset($this->config['linkmenu_text_field_seventh'])) ? $this->config['linkmenu_text_field_seventh'] : '',
			'LINKMENU_ENABLE_EIGHTH'			=> $this->config['linkmenu_enable_eighth'] ? true : false,
			'LINKMENU_NAME_FIELD_EIGHTH'		=> (isset($this->config['linkmenu_name_field_eighth'])) ? $this->config['linkmenu_name_field_eighth'] : '',
			'LINKMENU_TEXT_FIELD_EIGHTH'		=> (isset($this->config['linkmenu_text_field_eighth'])) ? $this->config['linkmenu_text_field_eighth'] : '',
			'LINKMENU_ENABLE_NINTH'			=> $this->config['linkmenu_enable_ninth'] ? true : false,
			'LINKMENU_NAME_FIELD_NINTH'		=> (isset($this->config['linkmenu_name_field_ninth'])) ? $this->config['linkmenu_name_field_ninth'] : '',
			'LINKMENU_TEXT_FIELD_NINTH'		=> (isset($this->config['linkmenu_text_field_ninth'])) ? $this->config['linkmenu_text_field_ninth'] : '',
			'LINKMENU_ENABLE_TENTH'			=> $this->config['linkmenu_enable_tenth'] ? true : false,
			'LINKMENU_NAME_FIELD_TENTH'		=> (isset($this->config['linkmenu_name_field_tenth'])) ? $this->config['linkmenu_name_field_tenth'] : '',
			'LINKMENU_TEXT_FIELD_TENTH'		=> (isset($this->config['linkmenu_text_field_tenth'])) ? $this->config['linkmenu_text_field_tenth'] : '',			
		));
	}
}